Editar certificado
curl --request PATCH \
--url https://api.cakto.com.br/public_api/members/certificates/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"trigger_label": "<string>",
"trigger_rules": "<unknown>",
"text": "<string>",
"course_title": "<string>",
"font_family": "<string>",
"primary_color": "<string>",
"logomark_url": "<string>",
"use_logo_as_watermark": true,
"show_cactus_pattern": true,
"include_signature": true,
"signature_url": "<string>",
"signer_name": "<string>",
"signer_initials": "<string>",
"signer_role": "<string>",
"member_area_section": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.cakto.com.br/public_api/members/certificates/{id}/"
payload = {
"name": "<string>",
"trigger_label": "<string>",
"trigger_rules": "<unknown>",
"text": "<string>",
"course_title": "<string>",
"font_family": "<string>",
"primary_color": "<string>",
"logomark_url": "<string>",
"use_logo_as_watermark": True,
"show_cactus_pattern": True,
"include_signature": True,
"signature_url": "<string>",
"signer_name": "<string>",
"signer_initials": "<string>",
"signer_role": "<string>",
"member_area_section": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
trigger_label: '<string>',
trigger_rules: '<unknown>',
text: '<string>',
course_title: '<string>',
font_family: '<string>',
primary_color: '<string>',
logomark_url: '<string>',
use_logo_as_watermark: true,
show_cactus_pattern: true,
include_signature: true,
signature_url: '<string>',
signer_name: '<string>',
signer_initials: '<string>',
signer_role: '<string>',
member_area_section: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.cakto.com.br/public_api/members/certificates/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cakto.com.br/public_api/members/certificates/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'trigger_label' => '<string>',
'trigger_rules' => '<unknown>',
'text' => '<string>',
'course_title' => '<string>',
'font_family' => '<string>',
'primary_color' => '<string>',
'logomark_url' => '<string>',
'use_logo_as_watermark' => true,
'show_cactus_pattern' => true,
'include_signature' => true,
'signature_url' => '<string>',
'signer_name' => '<string>',
'signer_initials' => '<string>',
'signer_role' => '<string>',
'member_area_section' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.cakto.com.br/public_api/members/certificates/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"trigger_label\": \"<string>\",\n \"trigger_rules\": \"<unknown>\",\n \"text\": \"<string>\",\n \"course_title\": \"<string>\",\n \"font_family\": \"<string>\",\n \"primary_color\": \"<string>\",\n \"logomark_url\": \"<string>\",\n \"use_logo_as_watermark\": true,\n \"show_cactus_pattern\": true,\n \"include_signature\": true,\n \"signature_url\": \"<string>\",\n \"signer_name\": \"<string>\",\n \"signer_initials\": \"<string>\",\n \"signer_role\": \"<string>\",\n \"member_area_section\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.patch("https://api.cakto.com.br/public_api/members/certificates/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"trigger_label\": \"<string>\",\n \"trigger_rules\": \"<unknown>\",\n \"text\": \"<string>\",\n \"course_title\": \"<string>\",\n \"font_family\": \"<string>\",\n \"primary_color\": \"<string>\",\n \"logomark_url\": \"<string>\",\n \"use_logo_as_watermark\": true,\n \"show_cactus_pattern\": true,\n \"include_signature\": true,\n \"signature_url\": \"<string>\",\n \"signer_name\": \"<string>\",\n \"signer_initials\": \"<string>\",\n \"signer_role\": \"<string>\",\n \"member_area_section\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.cakto.com.br/public_api/members/certificates/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"trigger_label\": \"<string>\",\n \"trigger_rules\": \"<unknown>\",\n \"text\": \"<string>\",\n \"course_title\": \"<string>\",\n \"font_family\": \"<string>\",\n \"primary_color\": \"<string>\",\n \"logomark_url\": \"<string>\",\n \"use_logo_as_watermark\": true,\n \"show_cactus_pattern\": true,\n \"include_signature\": true,\n \"signature_url\": \"<string>\",\n \"signer_name\": \"<string>\",\n \"signer_initials\": \"<string>\",\n \"signer_role\": \"<string>\",\n \"member_area_section\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"public_id": "<string>",
"name": "<string>",
"issued_count": 123,
"member_area_section_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "draft",
"emission_type": "automatic",
"trigger_type": "course-completion",
"trigger_label": "<string>",
"trigger_rules": "<unknown>",
"text": "<string>",
"course_title": "<string>",
"theme": "white",
"font_family": "<string>",
"primary_color": "<string>",
"logomark_url": "<string>",
"use_logo_as_watermark": true,
"show_cactus_pattern": true,
"include_signature": true,
"signature_url": "<string>",
"signer_name": "<string>",
"signer_initials": "<string>",
"signer_role": "<string>",
"member_area_section": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Certificados
Editar certificado
Altera só os campos enviados.
PATCH
/
public_api
/
members
/
certificates
/
{id}
/
Editar certificado
curl --request PATCH \
--url https://api.cakto.com.br/public_api/members/certificates/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"trigger_label": "<string>",
"trigger_rules": "<unknown>",
"text": "<string>",
"course_title": "<string>",
"font_family": "<string>",
"primary_color": "<string>",
"logomark_url": "<string>",
"use_logo_as_watermark": true,
"show_cactus_pattern": true,
"include_signature": true,
"signature_url": "<string>",
"signer_name": "<string>",
"signer_initials": "<string>",
"signer_role": "<string>",
"member_area_section": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.cakto.com.br/public_api/members/certificates/{id}/"
payload = {
"name": "<string>",
"trigger_label": "<string>",
"trigger_rules": "<unknown>",
"text": "<string>",
"course_title": "<string>",
"font_family": "<string>",
"primary_color": "<string>",
"logomark_url": "<string>",
"use_logo_as_watermark": True,
"show_cactus_pattern": True,
"include_signature": True,
"signature_url": "<string>",
"signer_name": "<string>",
"signer_initials": "<string>",
"signer_role": "<string>",
"member_area_section": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
trigger_label: '<string>',
trigger_rules: '<unknown>',
text: '<string>',
course_title: '<string>',
font_family: '<string>',
primary_color: '<string>',
logomark_url: '<string>',
use_logo_as_watermark: true,
show_cactus_pattern: true,
include_signature: true,
signature_url: '<string>',
signer_name: '<string>',
signer_initials: '<string>',
signer_role: '<string>',
member_area_section: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.cakto.com.br/public_api/members/certificates/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cakto.com.br/public_api/members/certificates/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'trigger_label' => '<string>',
'trigger_rules' => '<unknown>',
'text' => '<string>',
'course_title' => '<string>',
'font_family' => '<string>',
'primary_color' => '<string>',
'logomark_url' => '<string>',
'use_logo_as_watermark' => true,
'show_cactus_pattern' => true,
'include_signature' => true,
'signature_url' => '<string>',
'signer_name' => '<string>',
'signer_initials' => '<string>',
'signer_role' => '<string>',
'member_area_section' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.cakto.com.br/public_api/members/certificates/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"trigger_label\": \"<string>\",\n \"trigger_rules\": \"<unknown>\",\n \"text\": \"<string>\",\n \"course_title\": \"<string>\",\n \"font_family\": \"<string>\",\n \"primary_color\": \"<string>\",\n \"logomark_url\": \"<string>\",\n \"use_logo_as_watermark\": true,\n \"show_cactus_pattern\": true,\n \"include_signature\": true,\n \"signature_url\": \"<string>\",\n \"signer_name\": \"<string>\",\n \"signer_initials\": \"<string>\",\n \"signer_role\": \"<string>\",\n \"member_area_section\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.patch("https://api.cakto.com.br/public_api/members/certificates/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"trigger_label\": \"<string>\",\n \"trigger_rules\": \"<unknown>\",\n \"text\": \"<string>\",\n \"course_title\": \"<string>\",\n \"font_family\": \"<string>\",\n \"primary_color\": \"<string>\",\n \"logomark_url\": \"<string>\",\n \"use_logo_as_watermark\": true,\n \"show_cactus_pattern\": true,\n \"include_signature\": true,\n \"signature_url\": \"<string>\",\n \"signer_name\": \"<string>\",\n \"signer_initials\": \"<string>\",\n \"signer_role\": \"<string>\",\n \"member_area_section\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.cakto.com.br/public_api/members/certificates/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"trigger_label\": \"<string>\",\n \"trigger_rules\": \"<unknown>\",\n \"text\": \"<string>\",\n \"course_title\": \"<string>\",\n \"font_family\": \"<string>\",\n \"primary_color\": \"<string>\",\n \"logomark_url\": \"<string>\",\n \"use_logo_as_watermark\": true,\n \"show_cactus_pattern\": true,\n \"include_signature\": true,\n \"signature_url\": \"<string>\",\n \"signer_name\": \"<string>\",\n \"signer_initials\": \"<string>\",\n \"signer_role\": \"<string>\",\n \"member_area_section\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"public_id": "<string>",
"name": "<string>",
"issued_count": 123,
"member_area_section_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "draft",
"emission_type": "automatic",
"trigger_type": "course-completion",
"trigger_label": "<string>",
"trigger_rules": "<unknown>",
"text": "<string>",
"course_title": "<string>",
"theme": "white",
"font_family": "<string>",
"primary_color": "<string>",
"logomark_url": "<string>",
"use_logo_as_watermark": true,
"show_cactus_pattern": true,
"include_signature": true,
"signature_url": "<string>",
"signer_name": "<string>",
"signer_initials": "<string>",
"signer_role": "<string>",
"member_area_section": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Escopo
write members
Authorizations
Token de autenticação do tipo Bearer {access_token}, onde {access_token} é o token obtido no fluxo de autenticação.
Body
application/json
Maximum string length:
5000Response
Was this page helpful?